
/*****************************************************************************
 *                                                                           *
 *  PMB source code, MPI-1 part                           ---/---            *
 *                                                          / /              *
 *  Copyright (c) PALLAS GmbH 1998                         / / /             *
 *                                                        / / / /            *
 *                                                         / / /             *
 *  Authors: Hans-Joachim Plum , Gero Ritzenhoefer          / / PALLAS       *
 *  Revision: 2.0                                         ---/---            *
 *  Date: 1998/03/10                                                         *
 *                                                                           *
 *****************************************************************************/
#include <mpi.h>
#include <math.h>
#include <stdio.h>
#include <stddef.h>
#include "settings.h"
#include "comm_info.h"
#include "err_check.h"


#ifdef CHECK
long   compute_crc (char* buf,int size);
long   r_check,s_check;
double defect;
double *all_defect;
#endif
/*  STRINGS FOR OUTPUT   */
char aux_string[7*ow_format];

/* FORMAT FOR OUTPUT    */
char format [7*7];

/* ARRAY OF CASES, EITHER DEFAULT OR ARGUMENT LIST */
char **cases ;           

/* I/O unit */
FILE* unit;

/* MAXIMAL MESSAGE LENGTH    */
int MAXMSG;

